<?php

namespace App\Framework\ExceptionHandling;

enum ErrorDecision
{
    /** Fehler selbst behandelt (kein PHP-Standard mehr) */
    case HANDLED;

    /** An PHP-Standard weitergeben */
    case DEFER;

    /** Eskalieren als Exception */
    case THROW;
}
